## digikam-doc 1.2~svn1134171

=== CMakeLists.txt ===
FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)

KDE4_CREATE_HANDBOOK(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR showfoto)
add_subdirectory(doc-translations)

=== doc-translations/CMakeLists.txt ===
add_subdirectory( et/showfoto )
add_subdirectory( it/showfoto )
add_subdirectory( pt_BR/showfoto )
add_subdirectory( sv/showfoto )
add_subdirectory( uk/showfoto )

=== doc-translations/de/digikam/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de/ SUBDIR digikam)

=== doc-translations/de/showfoto/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de/ SUBDIR showfoto)

=== doc-translations/es/digikam/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/es/ SUBDIR digikam)

=== doc-translations/es/showfoto/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/es/ SUBDIR showfoto)

=== doc-translations/et/digikam/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/et/ SUBDIR digikam)

=== doc-translations/et/showfoto/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/et/ SUBDIR showfoto)

=== doc-translations/it/digikam/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it/ SUBDIR digikam)

=== doc-translations/it/showfoto/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it/ SUBDIR showfoto)

=== doc-translations/nl/digikam/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl/ SUBDIR digikam)

=== doc-translations/nl/showfoto/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl/ SUBDIR showfoto)

=== debian/changelog ===
digikam-doc (1.2~svn1134171-1) unstable; urgency=low

  * New upstream release (LP: #381077)

  [ José Manuel Santamaría Lema ]
  * Add pkg-kde-tools as b-d (Closes: #584351)
  * Update to S-V 3.8.4, no changes needed
  * Switch to dpkg source format 3.0 (quilt)

 -- Mark Purcell <msp@debian.org>  Sat, 05 Jun 2010 15:57:53 +1000

digikam-doc (0.10.0~svn1086874-1) unstable; urgency=low

  * New upstream release 

  [José Manuel Santamaría Lema]
  * Add stuff to debian/rules to fetch document translations from svn
  * Include showfoto documentation
  * Updated debian/copyright
  * Add myself to Uploaders:

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Feb 2010 17:46:19 +1100

digikam-doc (0.10.0~svn1056455-1) unstable; urgency=low

  * New Upstream Release (Closes: #527825, #514513, #547230, #529077) 

 -- Mark Purcell <msp@debian.org>  Tue, 05 Jan 2010 22:37:57 +1100

digikam-doc (0.9.5-1) unstable; urgency=low

  * New upstream release
  * without-pt.patch necessary for build
  * Add ${misc:Depends}
  * Upgrade Standards Version 3.8.0 - no changes necessary
  * Move kdelibs4-dev to Build-Depends-Indep:
  * Update debian/control with included lang

 -- Mark Purcell <msp@debian.org>  Tue, 20 Jan 2009 22:30:58 +1100

digikam-doc (0.9.3-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright to match help:/digikam/index.html
    - Fixes: debian/copyright does not match COPYING-DOCS (Closes: #426951)
  * Upstream only ships EN
    - Obsoletes: split into digikam-doc-LANG and digikam-doc-common 
    (Closes: #384975)
  * Clean debian/rules get-orig-source rule

 -- Mark Purcell <msp@debian.org>  Mon, 28 Apr 2008 16:34:47 +1000

digikam-doc (0.9.3~beta3-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Wed, 21 Nov 2007 14:54:25 +0000

digikam-doc (0.9.2~beta2-1) unstable; urgency=low

  * New upstream release
  * Conflict:/ Replaces: digikamimageplugins-doc, merged upstream

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 29 May 2007 21:43:43 +0100

digikam-doc (0.9.1-1) unstable; urgency=low

  * New upstream release
  * Include Russian translation

  [Tom Albers]
  * change section from graphics to doc

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 30 Mar 2007 15:27:04 +0100

digikam-doc (0.8.2-r1-1) unstable; urgency=low

  [ Achim Bohnet]
  * updated upstream 0.8.2 tarball:
    - Fixes redistribution problem: added Changelog, INSTALL AUTHORS
      and README, that contains copyright and license information.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Thu, 24 Aug 2006 15:05:23 +0200

digikam-doc (0.8.2-1) unstable; urgency=low

  * New upstream release.

  [ Achim Bohnet ]
  * debian/control:
    - Section: Move to main repository. Debian decided that GFDL without
      unmodifiable sections are free
    - Long description: mention new the languages: French, German, Spanish
      and Polish. Thx to all the translators!
    - Update standards-version from 3.6.2 to 3.7.2. No changes necessary.
  * debian/copyright updated: add (c) notice of digiKam developers team

  [ Mark Purcell ]
  * Lintian fixes: build-depends-indep-should-be-build-depends
  * Lintian fixes: description-contains-tabs

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 22 Jul 2006 10:17:49 +0100

digikam-doc (0.8.0-1) unstable; urgency=low

  * New upstream release
  * Pkg now maintained by Debian KDE Extras Team

  [ Mark Purcell ]
  * Fix old-fsf-address-in-copyright-file
  * Add debian/watch

  [ Achim Bohnet ]
  * Mention in short description that the package contains handbook
    translations too
  * control: use Build-Depends-Indep instead of Build-Depends because
    the Package is Architecture: all.  Fixes lintian complaining about:
    W: digikam-doc source: build-depends-without-arch-dep

 -- Mark Purcell <msp@debian.org>  Sat, 26 Nov 2005 07:10:09 +0000

digikam-doc (0.7.4-2) unstable; urgency=low

  * FTBFS: Missing Build-Depends on 'kdelibs4-dev' (Closes: #325759)

 -- Mark Purcell <msp@debian.org>  Thu,  1 Sep 2005 21:49:19 +0100

digikam-doc (0.7.4-1) unstable; urgency=low

  * Initial release: Debian

 -- Mark Purcell <msp@debian.org>  Sat, 20 Aug 2005 23:17:08 +0100

digikam-doc (0.7.4-0) unstable; urgency=low

  * Initial release: digikam distributes the handbooks and
    the handbook translation now in a seperate tarball

 -- Achim Bohnet <ach@mpe.mpg.de>  Tue, 12 Jul 2005 23:07:19 +0200

=== debian/control ===
Source: digikam-doc
Section: doc
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: debhelper (>= 7), cdbs, cmake, kdelibs5-dev, pkg-kde-tools
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/digikam-doc/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/digikam-doc/?op=log
Homepage: http://www.digikam.org

Package: digikam-doc
Architecture: all
Depends: ${misc:Depends}, khelpcenter4
Recommends: digikam
Description: handbook for digikam and showfoto in several languages
 Digikam is an easy to use and powerful digital photo management
 application.
 .
 This package contains the handbooks for digikam and showfoto from the
 digikam package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

REV = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/^.*svn//')
SVNROOT = svn://anonsvn.kde.org/home/kde/trunk
I18NLANGS = $(shell svn cat $(SVNROOT)/l10n-kde4/subdirs@$(REV) | sed 's/x-test//')

clean-get-orig-source:
	@@rm -fR ../tarballs/digikam-doc-$(REV).tmp

$(I18NLANGS):
	$(call fetch-program-doc-l10n,digikam,$@)
	$(call fetch-program-doc-l10n,showfoto,$@)

define fetch-program-doc-l10n
	@@echo -n 'Checking if $2 translation for $1 exists ... '
	@@[ -d ../tarballs/digikam-doc-$(REV).tmp/$1/doc-translations/$2/$1 ]||\
		mkdir -p ../tarballs/digikam-doc-$(REV).tmp/$1/doc-translations/$2/$1
	-@@svn export -q --force $(SVNROOT)/l10n-kde4/$(2)/docs/extragear-graphics/digikam@$(REV) \
		../tarballs/digikam-doc-$(REV).tmp/$1/doc-translations/$2/$1 2>/dev/null && \
		cd ../tarballs/digikam-doc-$(REV).tmp/$1/doc-translations/$2/$1 && \
		echo 'kde4_create_handbook( index.docbook INSTALL_DESTINATION $${HTML_INSTALL_DIR}/$2/ SUBDIR $1)' > CMakeLists.txt && \
		echo yes || echo no
	-@@[ -f ../tarballs/digikam-doc-$(REV).tmp/$1/doc-translations/$2/$1/index.docbook ] && \
		cd ../tarballs/digikam-doc-$(REV).tmp/$1/doc-translations/ && \
		echo 'add_subdirectory( $2/$1 )' >> CMakeLists.txt
endef

define fetch-program-doc
	@@svn export --force $(SVNROOT)/extragear/graphics/doc/$(1)/@$(REV) ../tarballs/digikam-doc-$(REV).tmp/$(1)
	@@cd ../tarballs/digikam-doc-$(REV).tmp/; echo 'add_subdirectory($(1))' >> CMakeLists.txt;\
		cd $(1); echo 'add_subdirectory(doc-translations)' >> CMakeLists.txt
endef

	
get-orig-source: clean-get-orig-source $(I18NLANGS)
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo 'Checking out for repacking (might take 15 min) ... REV: ' $(REV) $(DEB_UPSTREAM_VERSION)
	$(call fetch-program-doc,digikam)
	$(call fetch-program-doc,showfoto)
	@@echo 'Getting the changelog (might take 15 min) ...'
	@@cd ../tarballs/digikam-doc-$(REV).tmp/;\
		svn2cl -o changelog $(SVNROOT)/extragear/graphics/doc/@$(REV) digikam showfoto
	@@echo Creating the tarball ...
	@@cd ../tarballs/digikam-doc-$(REV).tmp; tar zcf ../digikam-doc_$(DEB_UPSTREAM_VERSION).orig.tar.gz *
	@@rm -fR ../tarballs/digikam-doc-$(REV).tmp
	@@echo Ready for packaging.

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://sf.net/digikam/digikam-doc-([\d\.].*).tar.bz2 debian svn-upgrade
